Subject: Re: [PATCH v4 3/6] can: etas_es58x: export product information through devlink_ops::info_get()

From: Andrew Lunn <[email-masked]>
Date: Sun, 27 Nov 2022 16:07:12 +0100

> I checked, none of gcc and clang would trigger a warning even for a
> 'make W=12'. More generally speaking, I made sure that my driver is
> free of any W=12.

That is good enough for me.

> I do not care any more as long as it does not result in
> undefined behaviour.

Agreed. Hopefully sscanf cannot go completely wrong and go off the end
of the buffer. That i would care about. Bit i guess the USB fuzzers
would of hit such problems already.

	Andrew